Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface StartupClassMBean

public interface StartupClassMBean
extends weblogic.management.configuration.ClassDeploymentMBean

Provides methods that configure startup classes. A startup class is a Java program that is automatically loaded and executed when a WebLogic Server instance is started or restarted.

By default, startup classes are loaded and executed after all other server subsystems have initialized and after the server deploys modules. For any startup class, you can override the default and specify that the server loads and executes it and before it deploys JDBC connection pools and before it deploys Web applications and EJBs.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`boolean` | `getFailureIsFatal()` Determines whether a failure in this startup class prevents a server from starting.
`boolean` | `getLoadBeforeAppActivation()` Determines if the startup class should be loaded after the connection pools are created but before the application's are activated.
`boolean` | `getLoadBeforeAppDeployments()` Determines whether a startup class is loaded and run before the server creates JMS and JDBC services or deploys applications and EJBs.
`void` | `setFailureIsFatal(boolean flag)` Determines whether a failure in this startup class prevents a server from starting.
`void` | `setLoadBeforeAppActivation(boolean flag)` Determines if the startup class should be loaded after the connection pools are created but before the application's are activated.
`void` | `setLoadBeforeAppDeployments(boolean flag)` Determines whether a startup class is loaded and run before the server creates JMS and JDBC services or deploys applications and EJBs.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getFailureIsFatal

    public boolean getFailureIsFatal()

  Determines whether a failure in this startup class prevents a server from starting. If this check box is cleared (or if you use an API to specify a value of `false`) and the startup class fails, the server continues its startup process.

  Default Value: false
  Returns:
    The failureIsFatal value

### setFailureIsFatal

    public void setFailureIsFatal(boolean flag)

  Determines whether a failure in this startup class prevents a server from starting. If this check box is cleared (or if you use an API to specify a value of `false`) and the startup class fails, the server continues its startup process.

  Default Value: false
  Parameters:
    `flag` - The new failureIsFatal value

### getLoadBeforeAppDeployments

    public boolean getLoadBeforeAppDeployments()

  Determines whether a startup class is loaded and run before the server creates JMS and JDBC services or deploys applications and EJBs. If you specify true for this option, the server loads and runs the class before the prepare() phase in the 2-phase depoloyment model. At this point, JMS and JDBC services are not yet available, and no applications or EJBs have been deployed.

  If you specify false, the server loads the class after all other types of modules have been deployed.

  Default Value: false
  Returns:
    The loadBeforeAppDeployments value

### setLoadBeforeAppDeployments

    public void setLoadBeforeAppDeployments(boolean flag)

  Determines whether a startup class is loaded and run before the server creates JMS and JDBC services or deploys applications and EJBs. If you specify true for this option, the server loads and runs the class before the prepare() phase in the 2-phase depoloyment model. At this point, JMS and JDBC services are not yet available, and no applications or EJBs have been deployed.

  If you specify false, the server loads the class after all other types of modules have been deployed.

  Default Value: false
  Parameters:
    `flag` - The new loadBeforeAppDeployments value

### getLoadBeforeAppActivation

    public boolean getLoadBeforeAppActivation()

  Determines if the startup class should be loaded after the connection pools are created but before the application's are activated. Activation is the second phase in the 2-phase deployment model.

  LoadBeforeAppDeployments should be used when the startup class needs to be invoked before the applications are even prepared for deployment. Please note that connection pools are not yet created at this stage.

  LoadBeforeAppActivation should be used when the startup class needs to be invoked after the connections pools are available but before the applications are activated and ready to service client requests.

  Default Value: false

### setLoadBeforeAppActivation

    public void setLoadBeforeAppActivation(boolean flag)

  Determines if the startup class should be loaded after the connection pools are created but before the application's are activated. Activation is the second phase in the 2-phase deployment model.

  Default Value: false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD